"use strict";
(function () {
    const os = require("os");
    module.exports = function quoteIfRequired(arg) {
        arg = `${arg}`;
        const hasSemiColon = arg.indexOf(";") > -1;
        if (!hasWhitespace(arg) && !hasSemiColon) {
            return arg;
        }
        const alreadyWrapped = arg.match(/^".*"$/);
        if (alreadyWrapped) {
            return arg;
        }
        if (isWhackyDOSQuoting(arg)) {
            return arg;
        }
        return `"${escapeQuotes(arg)}"`;
    };
    function escapeQuotes(str) {
        if (os.platform() === "win32") {
            return str;
        }
        return str.replace(/"/g, `\\"`);
    }
    function hasWhitespace(arg) {
        return !!arg.match(/\s+/);
    }
    function isWhackyDOSQuoting(str) {
        if (os.platform() !== "win32") {
            return false;
        }
        if (str.indexOf(`"`) === -1) {
            return false;
        }
        const parts = str.split('"');
        return !hasWhitespace(parts[0]);
    }
})();
